---
- name: Execute a ReaR restore and restore system to pre-Bigboot state
  hosts: all
  become: true
  gather_facts: true
  strategy: free

  vars_files:
    - bigboot_vars.yml

  tasks:
    - name: Shrink the logical volume to support /boot expansion
      ansible.builtin.import_role:
        name: rhc.rear.rear_restore

    - name: Cleanup from any previous executions
      ansible.builtin.import_tasks: tasks/cleanup.yml
